Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.cipher
Class TripleDesCbc

    java.lang.Object
      com.sshtools.j2ssh.transport.cipher.SshCipher
          com.sshtools.j2ssh.transport.cipher.TripleDesCbc

public class TripleDesCbc
extends SshCipher

DOCUMENT ME!

Field Summary
`protected static java.lang.String` | `algorithmName` DOCUMENT ME!

Fields inherited from class com.sshtools.j2ssh.transport.cipher.SshCipher
`DECRYPT_MODE, ENCRYPT_MODE`

Constructor Summary
`TripleDesCbc()` Creates a new TripleDesCbc object.

Method Summary
`int` | `getBlockSize()` DOCUMENT ME!
`void` | `init(int mode, byte[] iv, byte[] keydata)` DOCUMENT ME!
`byte[]` | `transform(byte[] data, int offset, int len)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.transport.cipher.SshCipher
`transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### algorithmName

    protected static java.lang.String algorithmName

  DOCUMENT ME!

Constructor Detail

### TripleDesCbc

    public TripleDesCbc()

  Creates a new TripleDesCbc object.

Method Detail

### getBlockSize

    public int getBlockSize()

  DOCUMENT ME!

  Specified by:
    `getBlockSize` in class `SshCipher`
  Returns:
    DOCUMENT ME!

### init

    public void init(int mode,
                     byte[] iv,
                     byte[] keydata)
              throws AlgorithmOperationException

  DOCUMENT ME!

  Specified by:
    `init` in class `SshCipher`
  Parameters:
    `mode` - DOCUMENT ME!
    `iv` - DOCUMENT ME!
    `keydata` - DOCUMENT ME!
  Throws:
    `AlgorithmOperationException` - DOCUMENT ME!

### transform

    public byte[] transform(byte[] data,
                            int offset,
                            int len)
                     throws AlgorithmOperationException

  DOCUMENT ME!

  Specified by:
    `transform` in class `SshCipher`
  Parameters:
    `data` - DOCUMENT ME!
    `offset` - DOCUMENT ME!
    `len` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `AlgorithmOperationException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD